## cyrus-sasl2 2.1.27%2Bdfsg

=== doc/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile.am for SASL documentation
# Rob Earhart
# $Id: Makefile.am,v 1.34 2004/11/24 18:05:28 ken3 Exp $
#
################################################################
# Copyright (c) 2000 Carnegie Mellon University.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer. 
#
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
#
# 3. The name "Carnegie Mellon University" must not be used to
#    endorse or promote products derived from this software without
#    prior written permission. For permission or any other legal
#    details, please contact  
#      Office of Technology Transfer
#      Carnegie Mellon University
#      5000 Forbes Avenue
#      Pittsburgh, PA  15213-3890
#      (412) 268-4387, fax: (412) 268-7395
#      tech-transfer@andrew.cmu.edu
#
# 4. Redistributions of any form whatsoever must retain the following
#    acknowledgment:
#    "This product includes software developed by Computing Services
#     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
#
# CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
# THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
# FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
# AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
# OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
################################################################

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/cyrus-sasl
pkgincludedir = $(includedir)/cyrus-sasl
pkglibdir = $(libdir)/cyrus-sasl
pkglibexecdir = $(libexecdir)/cyrus-sasl
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = doc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_prog_cc_for_build.m4 \
	$(top_srcdir)/m4/ax_prog_perl_modules.m4 \
	$(top_srcdir)/m4/berkdb.m4 $(top_srcdir)/m4/bsd_sockets.m4 \
	$(top_srcdir)/m4/common.m4 $(top_srcdir)/m4/cyrus.m4 \
	$(top_srcdir)/m4/ipv6.m4 $(top_srcdir)/m4/kerberos_v4.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/openldap.m4 \
	$(top_srcdir)/m4/openssl.m4 $(top_srcdir)/m4/plain.m4 \
	$(top_srcdir)/m4/sasl2.m4 $(top_srcdir)/m4/sasldb.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in TODO
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/ken/cyrus-sasl/config/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/ken/cyrus-sasl/config/missing autoconf
AUTOHEADER = ${SHELL} /home/ken/cyrus-sasl/config/missing autoheader
AUTOMAKE = ${SHELL} /home/ken/cyrus-sasl/config/missing automake-1.15
AWK = gawk
BUILD_EXEEXT = 
BUILD_OBJEXT = 
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FOR_BUILD = gcc
CFLAGS = -Wall -W -g -O2
CFLAGS_FOR_BUILD = -g -O2
CMU_LIB_SUBDIR = lib64
CPP = gcc -E
CPPFLAGS = -W -Wall -Werror -DOBSOLETE_CRAM_ATTR=1
CPPFLAGS_FOR_BUILD = 
CPP_FOR_BUILD = gcc -E
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIRS = 
DLLTOOL = false
DMALLOC_LIBS = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GETADDRINFOOBJS = 
GETNAMEINFOOBJS = 
GETSUBOPT = 
GREP = /usr/bin/grep
GSSAPIBASE_LIBS =  -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
IPCTYPE = unix
JAVAC = true
JAVADOC = true
JAVAH = true
JAVAROOT = 
JAVA_INCLUDES = 
LD = /usr/bin/ld -m elf_x86_64
LDAP_LIBS = -lldap -llber -lcrypto 
LDFLAGS = 
LDFLAGS_FOR_BUILD = 
LIBOBJS =  ${LIBOBJDIR}snprintf$U.o
LIBS = -lresolv    -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_CRYPT = -lcrypt
LIB_DES = -lcrypto
LIB_DOOR = 
LIB_LDAP = 
LIB_MYSQL = 
LIB_PAM = 
LIB_PGSQL = 
LIB_SIA = 
LIB_SOCKET = 
LIB_SQLITE = 
LIB_SQLITE3 = 
LIPO = 
LN_S = ln -s
LTGETADDRINFOOBJS = 
LTGETNAMEINFOOBJS = 
LTLIBOBJS =  ${LIBOBJDIR}snprintf$U.lo
LTSNPRINTFOBJS = snprintf.lo
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/ken/cyrus-sasl/config/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
NTLM_LIBS = -lcrypto 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
OTP_LIBS = -lcrypto 
PACKAGE = cyrus-sasl
PACKAGE_BUGREPORT = https://github.com/cyrusimap/cyrus-sasl/issues
PACKAGE_NAME = cyrus-sasl
PACKAGE_STRING = cyrus-sasl 2.1.27
PACKAGE_TARNAME = cyrus-sasl
PACKAGE_URL = http://cyrusimap.org
PACKAGE_VERSION = 2.1.27
PASSDSS_LIBS = 
PATH_SEPARATOR = :
PERL = perl
PLAIN_LIBS = -lcrypt
PURECOV = 
PURIFY = 
PWCHECKMETH = 
RANLIB = ranlib
SASL_DB_BACKEND = db_none.lo
SASL_DB_BACKEND_STATIC = db_none.o
SASL_DB_INC = 
SASL_DB_LIB = 
SASL_DB_MANS = 
SASL_DB_UTILS = 
SASL_DL_LIB = -ldl
SASL_KRB_LIB = 
SASL_MECHS =  libcrammd5.la libdigestmd5.la libscram.la libotp.la libgssapiv2.la libgs2.la libplain.la libanonymous.la liblogin.la libntlm.la
SASL_STATIC_LIBS = 
SASL_STATIC_OBJS =  gssapi.o gs2.o
SASL_STATIC_SRCS =  $(top_srcdir)/plugins/gssapi.c $(top_srcdir)/plugins/gs2.c
SASL_UTIL_HEADERS_EXTRA = 
SASL_UTIL_LIBS_EXTRA = 
SCRAM_LIBS = -lcrypto 
SED = /usr/bin/sed
SET_MAKE = 
SFIO_INC_FLAGS = 
SFIO_LIB_FLAGS = 
SHELL = /bin/sh
SMTPTEST_PROGRAM = 
SNPRINTFOBJS = snprintf.o
SPHINX_BUILD = /usr/bin/sphinx-build
SRP_LIBS = 
STRIP = strip
VERSION = 2.1.27
abs_builddir = /home/ken/cyrus-sasl/doc
abs_srcdir = /home/ken/cyrus-sasl/doc
abs_top_builddir = /home/ken/cyrus-sasl
abs_top_srcdir = /home/ken/cyrus-sasl
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CC_FOR_BUILD = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
configdir = /usr/lib/sasl2:/etc/sasl2
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/ken/cyrus-sasl/config/install-sh
libdir = ${exec_prefix}/lib64
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = /usr/share
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
plugindir = /usr/lib/sasl2
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = /var
srcdir = .
sysconfdir = /etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = advanced.html \
		appconvert.html \
		components.html \
		gssapi.html \
		index.html \
		install.html \
		macosx.html \
		mechanisms.html \
		NTMakefile \
		ONEWS \
		options.html \
		os390.html \
		plugprog.html \
		programming.html \
		readme.html \
		server-plugin-flow.fig \
		sysadmin.html \
		testing.txt \
		TODO \
		upgrading.html \
		windows.html

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \

=== debian/changelog ===
cyrus-sasl2 (2.1.27+dfsg-1) unstable; urgency=medium

  [ Ryan Tandy ]
  * Fix libsasl2-2 incorrectly depending on GSSAPI libraries.
    (Closes: #917129)
  * Restore changes from NMU versions
    2.1.27~101-g0780600+dfsg-3 and 2.1.27~101-g0780600+dfsg-3.1
    (Closes: #917140)

  [ Ondřej Surý ]
  * Upload to unstable.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Jan 2019 08:53:59 +0000

cyrus-sasl2 (2.1.27+dfsg-1~exp1) experimental; urgency=medium

  [ Roberto C. Sanchez ]
  * Change email in d/control
  * Apply uversionmangle option in d/watch for correct upstream version
    sort

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #792851)
    + 0033-cross.patch: Drop -ldb from make depends.
  * Use $(CC) instead of gcc in d/sample/Makefile

  [ Ondřej Surý ]
  * Add upstream tarball signing key
  * Update d/watch and d/copyright to use gbp import-orig ability to
    repack the tarball
  * New upstream version 2.1.27+dfsg
  * Bump policy to current version and debhelper compat level to 12
  * Upstream supports only a single plugindir now, switch to M-A plugindir
  * Build libsasl2-modules-gssapi-heimdal against heimdal 
    + Install heimdal build into separate tmp directory and strip rpath
      from it (Closes: #880393)
  * Replace extra priority with optional
  * Add Pre-Depends: ${misc:Pre-Depends} to sasl2-bin for systemd predepends
  * Add libpod-pom-view-restructured-perl to B-D to regenerate documentation
  * Add a patch to stop importing docutils_version in sphinx-build manpage helper

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Jan 2019 09:47:50 +0000

cyrus-sasl2 (2.1.27~101-g0780600+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * Add support for build-profiles. (Closes: #894297)

 -- Karsten Merker <merker@debian.org>  Sat, 21 Apr 2018 18:20:16 +0200

## cyrus-sasl2 2.1.27+dfsg

=== debian/changelog ===
cyrus-sasl2 (2.1.27+dfsg-2ubuntu1) groovy; urgency=medium

  * Disable sphinx doc build, as the extension bundled in this source is
    not compatible with current sphinx release (LP: #1894907):
    - d/control: remove python3-sphinx build-depends
    - d/rules: disable sphinx doc build, copy pre-built manpages to build dirs

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 29 Sep 2020 19:25:19 +0000

cyrus-sasl2 (2.1.27+dfsg-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Off-by-one in _sasl_add_string function (CVE-2019-19906) (Closes: #947043)

 -- Roberto C. Sanchez <roberto@debian.org>  Thu, 26 Dec 2019 09:48:32 -0500

=== debian/control ===
Source: cyrus-sasl2
Section: libs
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
Uploaders: Fabian Fagerholm <fabbe@debian.org>,
           Roberto C. Sanchez <roberto@debian.org>,
           Ondřej Surý <ondrej@debian.org>,
           Adam Conrad <adconrad@0c3.net>
Standards-Version: 4.3.0.1
Build-Depends: chrpath,
               debhelper-compat (= 12),
               default-libmysqlclient-dev <!pkg.cyrus-sasl2.nosql> | libmysqlclient-dev <!pkg.cyrus-sasl2.nosql>,
               docbook-to-man,
               groff-base,
               heimdal-multidev <!pkg.cyrus-sasl2.nogssapi>,
               krb5-multidev <!pkg.cyrus-sasl2.nogssapi>,
               libdb-dev,
               libkrb5-dev <!pkg.cyrus-sasl2.nogssapi>,
               libldap2-dev <!pkg.cyrus-sasl2.noldap>,
               libpam0g-dev,
               libpod-pom-view-restructured-perl,
               libpq-dev <!pkg.cyrus-sasl2.nosql>,
               libsqlite3-dev,
               libssl-dev,
               po-debconf,
               quilt
Build-Conflicts: heimdal-dev
Vcs-Browser: https://salsa.debian.org/debian/cyrus-sasl2
Vcs-Git: https://salsa.debian.org/debian/cyrus-sasl2.git
Homepage: https://www.cyrusimap.org/sasl/

Package: sasl2-bin
Section: utils
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: db-util,
         libsasl2-2 (>= ${binary:Version}),
         lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - administration programs for SASL users database
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains administration programs for the SASL users
 database and common binary files for plugin modules.

Package: cyrus-sasl2-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Cyrus SASL - documentation
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains documentation for system administrators.

Package: libsasl2-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libsasl2-modules-db (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libsasl2-modules (>= ${binary:Version})
Breaks: postfix (<= 2.8.3-1),
        slapd (<= 2.4.25-3)
Replaces: libsasl2
Description: Cyrus SASL - authentication abstraction library
 This is the Cyrus SASL API implementation, version 2.1.
 .
 SASL is the Simple Authentication and Security Layer, a method for
 adding authentication support to connection-based protocols. To use
 SASL, a protocol includes a command for identifying and
 authenticating a user to a server and for optionally negotiating
 protection of subsequent protocol interactions. If its use is
 negotiated, a security layer is inserted between the protocol and the
 connection. See RFC 2222 for more information.
 .
 Any of: ANONYMOUS, CRAM-MD5, DIGEST-MD5, GSSAPI (MIT or Heimdal
 Kerberos 5), NTLM, OTP, PLAIN, or LOGIN can be used.

Package: libsasl2-modules
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal,
          libsasl2-modules-ldap,
          libsasl2-modules-otp,
          libsasl2-modules-sql
Breaks: logcheck-database (<= 1.3.16~)
Description: Cyrus SASL - pluggable authentication modules
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the following SASL modules: LOGIN, PLAIN, ANONYMOUS,
 NTLM, CRAM-MD5, and DIGEST-MD5 (with DES support).

Package: libsasl2-modules-db
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - pluggable authentication modules (DB)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the DB plugin, which supports Berkeley DB lookups.

Package: libsasl2-modules-ldap
Priority: optional
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Build-Profiles: <!pkg.cyrus-sasl2.noldap>
Description: Cyrus SASL - pluggable authentication modules (LDAP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the LDAP plugin, which supports OpenLDAP.

Package: libsasl2-modules-otp
Priority: optional
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - pluggable authentication modules (OTP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the OTP plugin, which supports one time passwords.

Package: libsasl2-modules-sql
Priority: optional
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Build-Profiles: <!pkg.cyrus-sasl2.nosql>
Description: Cyrus SASL - pluggable authentication modules (SQL)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the SQL plugin, which supports MySQL, PostgreSQL
 and SQLite.

Package: libsasl2-modules-gssapi-mit
Priority: optional
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libsasl2-modules-gssapi-heimdal
Build-Profiles: <!pkg.cyrus-sasl2.nogssapi>
Description: Cyrus SASL - pluggable authentication modules (GSSAPI)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the GSSAPI plugin, compiled with the MIT
 Kerberos 5 library.

Package: libsasl2-dev
Section: libdevel
Architecture: any
Priority: optional
Depends: libc6-dev,
         libsasl2-2 (= ${binary:Version}),
         ${misc:Depends}
Description: Cyrus SASL - development files for authentication abstraction library
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package includes development files for compiling programs with SASL
 support. It is needed for development purposes only.

Package: libsasl2-modules-gssapi-heimdal
Architecture: any
Multi-Arch: same
Priority: optional
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libsasl2-modules-gssapi-mit
Build-Profiles: <!pkg.cyrus-sasl2.nogssapi>
Description: Pluggable Authentication Modules for SASL (GSSAPI)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the GSSAPI plugin, compiled with the Heimdal
 Kerberos 5 library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# debian/rules for CMU Cyrus SASL version 2.1
# 
# Copyright (c) 2011 by Ondřej Surý - migrated to dh7
# Based on previous work (c) 2006 by Fabian Fagerholm.
# Based on previous work by Dima Barsky.
# Based on cyrus-imapd-2.2 packages by Henrique de Moraes Holshuch.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# Note that Cyrus SASL itself is published under a different license.

# Debhelper control.
export DH_ALWAYS_EXCLUDE=CVS
#export DH_VERBOSE=1 # uncomment this to turn on verbose mode

# Enable package hardening through dpkg-buildflags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
-include /usr/share/dpkg/buildtools.mk
export CC

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs

# Save Berkeley DB used for building the package
BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^ii | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')

# SQL support may be turned off during the build, but is on by default.
ifeq (,$(findstring no-sql,$(DEB_BUILD_OPTIONS))$(findstring pkg.cyrus-sasl2.nosql,$(DEB_BUILD_PROFILES)))
	CONFIGURE_SQL=--enable-sql
else
	CONFIGURE_SQL=--disable-sql
	DH_PACKAGE_EXCLUDES += -Nlibsasl2-modules-sql
endif

# LDAP support may be turned off during the build, but is on by default.
ifeq (,$(findstring no-ldap,$(DEB_BUILD_OPTIONS))$(findstring pkg.cyrus-sasl2.noldap,$(DEB_BUILD_PROFILES)))
	CONFIGURE_LDAP=--with-ldap
	CONFIGURE_LDAPDB=--enable-ldapdb
else
	CONFIGURE_LDAP=--without-ldap
	CONFIGURE_LDAPDB=--disable-ldapdb
	DH_PACKAGE_EXCLUDES += -Nlibsasl2-modules-ldap
endif

# GSSAPI support may be turned off during the build, but is on by default
ifeq (,$(findstring no-gssapi,$(DEB_BUILD_OPTIONS))$(findstring pkg.cyrus-sasl2.nogssapi,$(DEB_BUILD_PROFILES)))
	CONFIGURE_GSSAPI=--enable-gssapi
else
	CONFIGURE_GSSAPI=--disable-gssapi
	DH_PACKAGE_EXCLUDES += -Nlibsasl2-modules-gssapi-mit \
		-Nlibsasl2-modules-gssapi-heimdal
endif

CONFIGURE_COMMON_OPTIONS= \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--enable-static \
	--enable-shared \
	--enable-alwaystrue \
	--enable-checkapop \
	--enable-cram \
	--enable-digest \
	--enable-otp \
	--disable-srp \
	--disable-srp-setpass \
	--disable-krb4 \
	$(CONFIGURE_GSSAPI) \
	--enable-gss_mutexes \
	--enable-auth-sasldb \
	--enable-plain \
	--enable-anon \
	--enable-login \
	--enable-ntlm \
	--disable-passdss \
	$(CONFIGURE_SQL) \
	--with-sqlite3=/usr \
	--with-mysql=/usr \
	--with-pgsql=/usr \
	$(CONFIGURE_LDAPDB) \
	--disable-macos-framework \
	--with-pam=/usr \
	--with-saslauthd=/var/run/saslauthd \
	$(CONFIGURE_LDAP) \
	--with-configdir=/etc/sasl2:/etc/sasl:/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2:/usr/lib/sasl2 \
	--with-plugindir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2 \
	--sysconfdir=/etc \
	--with-devrandom=/dev/urandom \
	--without-sphinx-build

# Some convenience variables
export TMPBUILD_MIT := build-mit
export TMPBUILD_HEIMDAL := build-heimdal
export TMP_MIT := debian/tmp
export TMP_HEIMDAL := debian/tmp-heimdal
export MIT_LDFLAGS := $(shell krb5-config.mit --libs gssapi | sed -e 's/ -l.*//')
export MIT_CPPFLAGS := $(shell krb5-config.mit --cflags gssapi)
export HEIMDAL_LDFLAGS := $(shell krb5-config.heimdal --libs gssapi | sed -e 's/ -l.*//')
export HEIMDAL_CPPFLAGS := $(shell krb5-config.heimdal --cflags gssapi)

AUTOFILES=acinclude.m4 aclocal.m4 config/config.sub config/config.guess \
		  config/ltmain.sh config/libtool.m4

### The Makefile targets begin. ###

%:
	dh $@ $(DH_PACKAGE_EXCLUDES)

override_dh_auto_clean:
	dh_auto_clean -B$(TMPBUILD_MIT)
	dh_auto_clean -B$(TMPBUILD_HEIMDAL)

	rm -f sample/sample-client \
		sample/sample-server
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f config.h config.log autom4ate.cache

	# Remove symlinks that the CMU build sets up but never removes.
	# They can be found by running find . -lname '*' -print in the
	# source tree before and after a build and comparing the differences.
	rm -f lib/sasldb.c lib/db_berkeley.c lib/allockey.c lib/cram.c \
			lib/digestmd5.c lib/otp.c lib/gssapi.c lib/plain.c \
			lib/anonymous.c lib/login.c lib/ntlm.c lib/sql.c lib/ldapdb.c

	# Remove generated man pages
	-rm -f sasl-sample-client.8 sasl-sample-server.8 gen-auth.1

	# Remove build directories
	rm -rf $(TMPBUILD_MIT) $(TMPBUILD_HEIMDAL)

override_dh_auto_configure:
	LDFLAGS="$(LDFLAGS) $(HEIMDAL_LDFLAGS)" \
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) $(HEIMDAL_CPPFLAGS)" \
	dh_auto_configure -B$(TMPBUILD_HEIMDAL) -- $(CONFIGURE_COMMON_OPTIONS) --with-gss_impl=heimdal
	# when not building the docs, manpages have to be copied to the temporary
	# build directory
	cp -a man $(TMPBUILD_HEIMDAL)

	LDFLAGS="$(LDFLAGS) $(MIT_LDFLAGS)" \
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) $(MIT_CPPFLAGS)" \
	dh_auto_configure -B$(TMPBUILD_MIT) -- $(CONFIGURE_COMMON_OPTIONS) --with-gss_impl=mit
	# when not building the docs, manpages have to be copied to the temporary
	# build directory
	cp -a man $(TMPBUILD_MIT)

	# Record the build-time settings for later reference
	echo 'To build this package, configure was called as follows:' \
		> debian/README.configure-options

	grep with\ options $(TMPBUILD_MIT)/config.status | sed -e \
		's/^.*options \\"/configure /;s/\\"$///' \
		>> debian/README.configure-options

override_dh_auto_build:
	dh_auto_build -B$(TMPBUILD_HEIMDAL) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
	dh_auto_build -B$(TMPBUILD_MIT) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2

	# Build sample-{client,server}
	$(MAKE) -f ../debian/sample/Makefile -C sample T=../$(TMPBUILD_MIT)

	# Build the sasl-sample-client and sasl-sample-server man pages.
	/usr/bin/docbook-to-man debian/sasl-sample-client.sgml \
		> sasl-sample-client.8
	/usr/bin/docbook-to-man debian/sasl-sample-server.sgml \
		> sasl-sample-server.8
	# Build the gen-auth man page
	/usr/bin/pod2man --stderr debian/gen-auth/gen-auth >gen-auth.1

override_dh_auto_install:
	dh_auto_install -B$(TMPBUILD_HEIMDAL) --destdir=$(TMP_HEIMDAL) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
	dh_auto_install -B$(TMPBUILD_MIT) --destdir=$(TMP_MIT) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2

	# Remove static plugins - they are useless
	rm $(TMP_MIT)/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2/*.a
	# Remove libtool la files, they are eeevil
	rm $(TMP_MIT)/usr/lib/$(DEB_HOST_MULTIARCH)/*.la \
	   $(TMP_MIT)/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2/*.la

	# Note the version of Berkeley DB used to build this package
	mkdir -p $(TMP_MIT)/usr/lib/sasl2
	echo $(BDB_VERSION) > $(TMP_MIT)/usr/lib/sasl2/berkeley_db.txt

	# Alter the default location and names of files to fit Debian
	# policy and better integrate with the Debian system.
	mv $(TMP_MIT)/usr/sbin/pluginviewer $(TMP_MIT)/usr/sbin/saslpluginviewer
	mv $(TMP_MIT)/usr/share/man/man8/pluginviewer.8 \
		$(TMP_MIT)/usr/share/man/man8/saslpluginviewer.8
	install -m 644 saslauthd/saslauthd.mdoc \
		$(TMP_MIT)/usr/share/man/man8/saslauthd.8
	install -m 644 debian/testsaslauthd.8 \
		$(TMP_MIT)/usr/share/man/man8/testsaslauthd.8
	mv $(TMP_MIT)/usr/sbin/dbconverter-2 $(TMP_MIT)/usr/sbin/sasldbconverter2

	# Install sample-{client,server} with Debianized names
	install -m 755 -D sample/sample-client \
		$(TMP_MIT)/usr/bin/sasl-sample-client
	install -m 755 -D sample/sample-server \
		$(TMP_MIT)/usr/sbin/sasl-sample-server

	# Alter the rpath of certain binaries and shared libraries.

## cyrus-sasl2 2.1.27+dfsg2

=== debian/changelog ===
cyrus-sasl2 (2.1.27+dfsg2-3ubuntu1.2) jammy; urgency=medium

  * d/control, d/libsasl2-modules-gssapi-mit.install,
    d/libsasl2-modules.install: move the SCRAM mechanism to
    the libsasl2-modules package (LP: #1988730)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 12 Dec 2022 08:52:45 -0300

cyrus-sasl2 (2.1.27+dfsg2-3ubuntu1.1) jammy; urgency=medium

  * Add SASL channel binding support for GSSAPI and GSS-SPNEGO
    (LP: #1912256):
    - d/p/0034-channel-binding-gssapi-gss-spnego.patch: add SASL channel
      binding support for GSSAPI and GSS-SPNEGO
    - d/p/0035-Add-support-for-setting-max-ssf-0-to-GSS-SPNEGO-1.patch:
      allow setting maxssf to 0 when using GSS-SPNEGO inside SSL/TLS
    - d/p/0035-Add-support-for-setting-max-ssf-0-to-GSS-SPNEGO-2.patch:
      be more conformant to RFC4752
  * Add some DEP8 tests (LP: #1677781):
    - d/t/{control,saslauthd}: saslauthd tests with multiple mechanisms
    - d/t/{control,gssapi}: test for SASL GSSAPI using OpenLDAP
    - d/t/{control,pluginviewer}: test available mechanisms
    - d/t/{control,shared-secret-mechs}: test shared secret mechanisms

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 19 Oct 2022 14:06:40 -0700

cyrus-sasl2 (2.1.27+dfsg2-3ubuntu1) jammy; urgency=medium

  * SECURITY UPDATE: SQL injection in SQL plugin
    - debian/patches/CVE-2022-24407.patch: escape password for SQL
      insert/update commands in plugins/sql.c.
    - CVE-2022-24407

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Feb 2022 14:17:18 -0500

cyrus-sasl2 (2.1.27+dfsg2-3) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Fix configure.ac for autoconf 2.70 (Closes: #1003355, #1000152)

 -- Bastian Germann <bage@debian.org>  Tue, 11 Jan 2022 11:25:37 +0100

cyrus-sasl2 (2.1.27+dfsg2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #928512)
    + cross.patch: Support caching SPNEGO support test.
    + Provide SPNEGO support test result.

  [ Vagrant Cascadian ]
  * Set date in man pages (Closes: #995145)

 -- Bastian Germann <bage@debian.org>  Wed, 17 Nov 2021 01:23:49 +0100

cyrus-sasl2 (2.1.27+dfsg2-1) unstable; urgency=medium

  * Add bage to uploaders (Closes: #799864)
  * Use upstream patches where possible
  * Amend off-by-one in _sasl_add_string function
  * Replace some patches by upstream equivalents
  * Apply the patches in order of to their prefixes
  * Add missing caret (^) in logcheck rule (Closes: #830764)
  * Remove unnecessary GPL copy
  * Add missing copyright/licenses
  * Repack, getting rid of more problematic files
  * Build html documentation
  * Make the package rebuildable
  * Remove outdated README.Debian info
  * Disable autostart via debhelper
  * Drop unnecessary patch
  * Remove alternative, old build dep libmysqlclient-dev
    Annotate documentation Build-Depends with :native

  [ Frédéric Brière ]
  * Make logcheck snippet compatible with systemd journal

 -- Bastian Germann <bage@debian.org>  Sun, 14 Nov 2021 14:11:18 +0100

cyrus-sasl2 (2.1.27+dfsg-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/watch: Check the github releases page
  * Get rid of a patch's patch
  * Recover upstream-compatible patch license (Closes: #996866)
    + Relicense libobj patch
  * Fix lintian: unused-override
  * Patch: Prevent double free of RC4 context (Closes: #722611)
  * Rename double-prefix patches

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure), Repository, Repository-Browse.
  * Fix day-of-week for changelog entry 2.1.7-1.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Bastian Germann <bage@debian.org>  Fri, 05 Nov 2021 21:58:22 +0100

cyrus-sasl2 (2.1.27+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Vagrant Cascadian ]
  * Fix Sphinx errors (Closes: #995123)

 -- Michael Banck <michael.banck@credativ.de>  Wed, 27 Oct 2021 17:57:34 +0200

cyrus-sasl2 (2.1.27+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Sphinx errors (Closes: #955095)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 07 Feb 2021 10:43:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Uploaders: Fabian Fagerholm <fabbe@debian.org>,
            Roberto C. Sanchez <roberto@debian.org>,
            Ondřej Surý <ondrej@debian.org>,
+           Bastian Germann <bage@debian.org>,
            Adam Conrad <adconrad@0c3.net>
 Standards-Version: 4.3.0.1
 Build-Depends: chrpath,
                debhelper-compat (= 12),
-               default-libmysqlclient-dev <!pkg.cyrus-sasl2.nosql> | libmysqlclient-dev <!pkg.cyrus-sasl2.nosql>,
+               default-libmysqlclient-dev <!pkg.cyrus-sasl2.nosql>,
                docbook-to-man,
                groff-base,
                heimdal-multidev <!pkg.cyrus-sasl2.nogssapi>,
@@ -19,11 +20,12 @@
                libkrb5-dev <!pkg.cyrus-sasl2.nogssapi>,
                libldap2-dev <!pkg.cyrus-sasl2.noldap>,
                libpam0g-dev,
-               libpod-pom-view-restructured-perl,
+               libpod-pom-view-restructured-perl:native,
                libpq-dev <!pkg.cyrus-sasl2.nosql>,
                libsqlite3-dev,
                libssl-dev,
                po-debconf,
+               python3-sphinx-rtd-theme:native,
                quilt
 Build-Conflicts: heimdal-dev
 Vcs-Browser: https://salsa.debian.org/debian/cyrus-sasl2
@@ -39,6 +41,7 @@
          libsasl2-2 (>= ${binary:Version}),
          lsb-base (>= 3.0-6),
          ${misc:Depends},
+         ${perl:Depends},
          ${shlibs:Depends}
 Description: Cyrus SASL - administration programs for SASL users database
  This is the Cyrus SASL API implementation, version 2.1. See package
@@ -51,7 +54,8 @@
 Section: doc
 Priority: optional
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         sphinx-rtd-theme-common
 Description: Cyrus SASL - documentation
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -80,7 +84,7 @@
  negotiated, a security layer is inserted between the protocol and the
  connection. See RFC 2222 for more information.
  .
- Any of: ANONYMOUS, CRAM-MD5, DIGEST-MD5, GSSAPI (MIT or Heimdal
+ Any of: ANONYMOUS, SCRAM, CRAM-MD5, DIGEST-MD5, GSSAPI (MIT or Heimdal
  Kerberos 5), NTLM, OTP, PLAIN, or LOGIN can be used.
 
 Package: libsasl2-modules
@@ -93,13 +97,15 @@
           libsasl2-modules-ldap,
           libsasl2-modules-otp,
           libsasl2-modules-sql
-Breaks: logcheck-database (<= 1.3.16~)
+Breaks: logcheck-database (<= 1.3.16~),
+        libsasl2-modules-gssapi-mit (<< 2.1.27+dfsg2-3ubuntu1.2)
+Replaces: libsasl2-modules-gssapi-mit (<< 2.1.27+dfsg2-3ubuntu1.2)
 Description: Cyrus SASL - pluggable authentication modules
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
  .
  This package provides the following SASL modules: LOGIN, PLAIN, ANONYMOUS,
- NTLM, CRAM-MD5, and DIGEST-MD5 (with DES support).
+ NTLM, SCRAM, CRAM-MD5, and DIGEST-MD5 (with DES support, deprecated).
 
 Package: libsasl2-modules-db
 Architecture: any

=== debian/tests/control ===
Tests: pluginviewer
# We don't use @ because libsasl2-modules-gssapi-{mit,heimdal} conflict with each other. Let's default to mit
Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, libsasl2-modules-gssapi-mit, libsasl2-modules-ldap, libsasl2-modules-otp, libsasl2-modules-sql

Tests: saslauthd
Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, libsasl2-modules-gssapi-mit, libsasl2-modules-ldap, libsasl2-modules-otp, libsasl2-modules-sql, slapd, ldap-utils
Restrictions: isolation-container, needs-root

Tests: gssapi
Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, libsasl2-modules-gssapi-mit, libsasl2-modules-ldap, libsasl2-modules-otp, libsasl2-modules-sql, slapd, ldap-utils, krb5-user, krb5-kdc, krb5-admin-server
Restrictions: isolation-container, needs-root

# libsasl2-modules-gssapi-mit is needed here because SCRAM has not yet been moved to libsasl2-modules in Jammy (LP: #1988730)
Tests: shared-secret-mechs
Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, slapd, ldap-utils, libsasl2-modules-gssapi-mit
Restrictions: isolation-container, needs-root

=== debian/watch ===
version=4

opts=\
repack,\
compression=xz,\
repacksuffix=+dfsg2,\
dversionmangle=s/\+dfsg2\d*$//,uversionmangle=s/-?(rc\d+)/~$1/,\
pgpsigurlmangle=s/$/.sig/,\
filenamemangle=s/.+\/cyrus-sasl-(\S+)\.tar\.gz/cyrus-sasl-$1\.tar\.gz/ \
  https://github.com/cyrusimap/cyrus-sasl/releases .*/cyrus-sasl-(\S+)\.tar\.gz

## cyrus-sasl2 2.1.27.1

=== debian/changelog ===
cyrus-sasl2 (2.1.27.1-1+dde) buster; urgency=medium

  * fix CVE-2022-24407
  * A flaw was found in the SQL plugin shipped with Cyrus SASL. 

 -- zhaochengyi <zhaochengyi@uniontech.com>  Thu, 10 Mar 2022 09:58:38 +0800

cyrus-sasl2 (2.1.27+dfsg-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Off-by-one in _sasl_add_string function (CVE-2019-19906) (Closes: #947043)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 19 Dec 2019 22:59:30 +0100

## cyrus-sasl2 2.1.28%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,29 @@
 Source: cyrus-sasl2
 Section: libs
-Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
-Uploaders: Fabian Fagerholm <fabbe@debian.org>,
-           Roberto C. Sanchez <roberto@debian.org>,
-           Ondřej Surý <ondrej@debian.org>,
-           Bastian Germann <bage@debian.org>,
-           Adam Conrad <adconrad@0c3.net>
+Priority: optional
+Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>,
 Standards-Version: 4.3.0.1
-Build-Depends: chrpath,
-               debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 12),
+               libpod-pom-view-restructured-perl:native <!nodoc>,
+Build-Depends-Arch:
+               chrpath,
                default-libmysqlclient-dev <!pkg.cyrus-sasl2.nosql>,
                docbook-to-man,
                groff-base,
                heimdal-multidev <!pkg.cyrus-sasl2.nogssapi>,
                krb5-multidev <!pkg.cyrus-sasl2.nogssapi>,
                libdb-dev,
+               libcrypt-dev,
                libkrb5-dev <!pkg.cyrus-sasl2.nogssapi>,
                libldap2-dev <!pkg.cyrus-sasl2.noldap>,
                libpam0g-dev,
-               libpod-pom-view-restructured-perl:native,
                libpq-dev <!pkg.cyrus-sasl2.nosql>,
                libsqlite3-dev,
                libssl-dev,
                po-debconf,
-               python3-sphinx-rtd-theme:native,
-               quilt
+               python3-sphinx:native <!nodoc>
+Build-Depends-Indep: python3-sphinx-rtd-theme,
 Build-Conflicts: heimdal-dev
 Vcs-Browser: https://salsa.debian.org/debian/cyrus-sasl2
 Vcs-Git: https://salsa.debian.org/debian/cyrus-sasl2.git
@@ -34,12 +31,10 @@
 
 Package: sasl2-bin
 Section: utils
-Priority: optional
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: db-util,
          libsasl2-2 (>= ${binary:Version}),
-         lsb-base (>= 3.0-6),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
@@ -52,10 +47,11 @@
 
 Package: cyrus-sasl2-doc
 Section: doc
-Priority: optional
 Architecture: all
+Build-Profiles: <!nodoc>
 Depends: ${misc:Depends},
          sphinx-rtd-theme-common
+Multi-Arch: foreign
 Description: Cyrus SASL - documentation
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -70,8 +66,6 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libsasl2-modules (>= ${binary:Version})
-Breaks: postfix (<= 2.8.3-1),
-        slapd (<= 2.4.25-3)
 Replaces: libsasl2
 Description: Cyrus SASL - authentication abstraction library
  This is the Cyrus SASL API implementation, version 2.1.
@@ -88,7 +82,6 @@
  Kerberos 5), NTLM, OTP, PLAIN, or LOGIN can be used.
 
 Package: libsasl2-modules
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -97,9 +90,8 @@
           libsasl2-modules-ldap,
           libsasl2-modules-otp,
           libsasl2-modules-sql
-Breaks: logcheck-database (<= 1.3.16~),
-        libsasl2-modules-gssapi-mit (<< 2.1.27+dfsg2-3ubuntu1.2)
-Replaces: libsasl2-modules-gssapi-mit (<< 2.1.27+dfsg2-3ubuntu1.2)
+Replaces: libsasl2-modules-gssapi-mit (<< 2.1.28+dfsg-4)
+Breaks: libsasl2-modules-gssapi-mit (<< 2.1.28+dfsg-4)
 Description: Cyrus SASL - pluggable authentication modules
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -119,7 +111,6 @@
  This package provides the DB plugin, which supports Berkeley DB lookups.
 
 Package: libsasl2-modules-ldap
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: libsasl2-modules (= ${binary:Version}),
@@ -133,7 +124,6 @@
  This package provides the LDAP plugin, which supports OpenLDAP.
 
 Package: libsasl2-modules-otp
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: libsasl2-modules (= ${binary:Version}),
@@ -146,7 +136,6 @@
  This package provides the OTP plugin, which supports one time passwords.
 
 Package: libsasl2-modules-sql
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: libsasl2-modules (= ${binary:Version}),
@@ -161,7 +150,6 @@
  and SQLite.
 
 Package: libsasl2-modules-gssapi-mit
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: libsasl2-modules (= ${binary:Version}),
@@ -179,9 +167,9 @@
 Package: libsasl2-dev
 Section: libdevel
 Architecture: any
-Priority: optional
-Depends: libc6-dev,
+Depends: libc-dev,
          libsasl2-2 (= ${binary:Version}),
+         libssl-dev,
          ${misc:Depends}
 Description: Cyrus SASL - development files for authentication abstraction library
  This is the Cyrus SASL API implementation, version 2. See package
@@ -193,7 +181,6 @@
 Package: libsasl2-modules-gssapi-heimdal
 Architecture: any
 Multi-Arch: same
-Priority: optional
 Depends: libsasl2-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, libsasl2-modules-gssapi-mit, libsasl2-modules-ldap, libsasl2-modules-otp, libsasl2-modules-sql, slapd, ldap-utils, krb5-user, krb5-kdc, krb5-admin-server
 Restrictions: isolation-container, needs-root
 
-# libsasl2-modules-gssapi-mit is needed here because SCRAM has not yet been moved to libsasl2-modules in Jammy (LP: #1988730)
 Tests: shared-secret-mechs
-Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, slapd, ldap-utils, libsasl2-modules-gssapi-mit
+Depends: sasl2-bin, libsasl2-modules, libsasl2-modules-db, slapd, ldap-utils
 Restrictions: isolation-container, needs-root
